summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorDonald Carr2017-06-12 20:16:21 -0700
committerDonald Carr2017-06-12 20:34:22 -0700
commit7cb58109aacbf5a9d0bc20f15dc5844350bbc047 (patch)
treeffde38d62cac3dc1e1c8f141f091baeb63a49afa
parent29f4015e59dc7ef072f412253c8b15fd24c02df1 (diff)
downloadaur-7cb58109aacbf5a9d0bc20f15dc5844350bbc047.tar.gz
Bump version numbers
Change-Id: I8e661e230545d29c2495e46761a4d592e60f792b
-rw-r--r--.SRCINFO15
-rw-r--r--PKGBUILD31
2 files changed, 25 insertions, 21 deletions
diff --git a/.SRCINFO b/.SRCINFO
index 4ade3842192..68c1803232b 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,21 +1,18 @@
# Generated by mksrcinfo v8
-# Thu Mar 31 06:46:11 UTC 2016
+# Tue Jun 13 03:34:13 UTC 2017
pkgbase = pi-compositor
- pkgdesc = Rudimentary QML compositor branched off qtwayland/examples/wayland/qml-compositor
- pkgver = 0.0.5
+ pkgdesc = Rudimentary QML compositor branched off qtwayland/examples/wayland/pure-qml
+ pkgver = 0.0.2
pkgrel = 1
url = http://www.qt.io
arch = any
license = LGPL3
license = GPL3
- makedepends = qt-sdk-raspberry-pi3
+ makedepends = qt-sdk-raspberry-pi
depends = qt-sdk-raspberry-pi-target-libs
- depends = qcec
- provides = pi-launcher
- conflicts = pi-launcher
- replaces = pi-launcher
options = !strip
- source = git://github.com/sirspudd/pi-compositor.git#tag=v0.0.5
+ source = git://github.com/sirspudd/pi-compositor.git#tag=0.0.2
sha256sums = SKIP
pkgname = pi-compositor
+
diff --git a/PKGBUILD b/PKGBUILD
index 7e9bc93a88a..bd084fffef1 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -1,30 +1,37 @@
# Contributer: Donald Carr <sirspudd@gmail.com>
-set -e
+#set -e
+
+_qmake="qmake"
+_piver=""
+
+if [[ -z $_piver ]] && [[ -n $LOCAL_PI_VER ]]; then
+ _piver=$LOCAL_PI_VER
+fi
+
+if [[ -n "$_piver" ]]; then
+ _qmake="/opt/qt-sdk-raspberry-pi${_piver}/bin/qmake"
+fi
_pi_ver=2
pkgname="pi-compositor"
-pkgver=0.0.5
-pkgrel=2
-provides=("pi-launcher")
-conflicts=("pi-launcher")
-replaces=("pi-launcher")
-pkgdesc="Rudimentary QML compositor branched off qtwayland/examples/wayland/qml-compositor"
+pkgver=0.0.2
+pkgrel=1
+pkgdesc="Rudimentary QML compositor branched off qtwayland/examples/wayland/pure-qml"
arch=("any")
url="http://www.qt.io"
license=("LGPL3" "GPL3")
-makedepends=("qt-sdk-raspberry-pi${_pi_ver}")
-depends=("qt-sdk-raspberry-pi-target-libs" "qcec")
-source=("git://github.com/sirspudd/${pkgname}.git#tag=v${pkgver}")
+makedepends=("qt-sdk-raspberry-pi${_piver}")
+depends=("qt-sdk-raspberry-pi-target-libs")
+source=("git://github.com/sirspudd/${pkgname}.git#tag=${pkgver}")
sha256sums=("SKIP")
options=('!strip')
build() {
local repo_src=${srcdir}/${pkgname}
- local qmake=/opt/qt-sdk-raspberry-pi${_pi_ver}/bin/qmake
cd ${repo_src}
- $qmake
+ $_qmake
make clean
make
}